# Enum Class AuthManager.Mechanism

java.lang.Object
java.lang.Enum<AuthManager.Mechanism>
org.apache.jmeter.protocol.http.control.AuthManager.Mechanism

All Implemented Interfaces:
  `Serializable, Comparable<AuthManager.Mechanism>, Constable`

Enclosing class:
  `AuthManager`

public static enum AuthManager.Mechanism extends Enum<AuthManager.Mechanism>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASIC_DIGEST`
`KERBEROS`

## Method Summary

Modifier and Type
Method
Description
`static AuthManager.Mechanism`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthManager.Mechanism[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASIC_DIGEST

public static final AuthManager.Mechanism BASIC_DIGEST

### KERBEROS

public static final AuthManager.Mechanism KERBEROS

## Method Details

### values

public static AuthManager.Mechanism[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuthManager.Mechanism valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null